//订单填写：非巴士

//接收参数:param
//详：
//pro_cate_id: '',     父级产品id
//pro_cate_name:'迪士尼乐园门票'   //父级产品名称
//start_date: '',		乘车日期(游玩日期)
//prod_arr:[{prod_id:1,prod_count:1,prod_name:"成人"},{prod_id:2,prod_count:2,prod_name:"儿童"}]  产品明细数组
//total_money: 385,     订单总金额
var param = null;
window.onload = function() {
	ifLogin(function(flag) {
		$('body').show();
		param = getStorJson('fill_order_unbus_20170306');
		//			param = {
		//				pro_cate_id: '1',
		//				pro_cate_name: "迪士尼乐园门票",
		//				start_date: "2017-03-08",
		//				prod_arr: [{ prod_id: '1', prod_count: '1', prod_name: "成人" }, { prod_id: '2', prod_count: '1', prod_name: "儿童" }],
		//				total_money: '200'
		//			}
		if(!param) {
			alert('缺少参数');
			$('body').hide();
			return;
		}
		$('body').show();
		var m = getMonthAndDayByDate(param['start_date'], 'month');
		var d = getMonthAndDayByDate(param['start_date'], 'day');
		$('#start_date').text('游玩日期：' + m + '月' + d + '日');
		var arr = param['prod_arr'];
		var HTML = '';
		for(var i = 0, m = arr.length; i < m; i++) {
			var dict = arr[i];
			if(dict['prod_count'] <= 0) {
				continue;
			}
			var cstr = '';
			if(i != 0 && dict['prod_count'] > 0) {
				cstr = '<br>';
			}
			var tempHTML = cstr + '<span class="text_c_2b ulev1">' + dict['prod_count'] + '</span>' +
				'<span class="text_c_2b ulev1 ui_m_r05">' + dict['prod_name'] + '</span>';
			HTML += tempHTML;
		}
		$('#person_count').html(HTML);

		$('#pro_cate_name').html(param['pro_cate_name']);
		$('#total_balance').text(param['total_money']);
	});
}

$(document).ready(function() {
	var timer_paysuccess = null; //实时刷是否支付
	var _pay_type = '1'; //微信支付：1    支付宝支付：2   预付款支付:3

	$('#wx_pay').on('click', function() {
		_pay_type = '1';
		resetPayTypeCSS()
		$('#wx_pay').removeClass('bor_pay_un');
		$('.p_wx').removeClass('pay_w_icon_unsel');
		$('#wx_pay').addClass('bor_pay');
		$('.p_wx').addClass('pay_w_icon_sel');

	})

//	$('#ali_pay').on('click', function() {
//		_pay_type = '2';
//		resetPayTypeCSS()
//		$('#ali_pay').addClass('bor_pay');
//		$('.p_ali').addClass('pay_z_icon_sel');
//		$('#ali_pay').removeClass('bor_pay_un');
//		$('.p_ali').removeClass('pay_z_icon_unsel');
//
//	})

	$('#advance_pay').on('click', function() {
		_pay_type = '3';
		resetPayTypeCSS()
		$('#advance_pay').addClass('bor_pay');
		$('.p_advance').addClass('pay_advance_icon_sel');
		$('#advance_pay').removeClass('bor_pay_un');
		$('.p_advance').removeClass('pay_advance_icon_unsel');
	})

	function resetPayTypeCSS() {
		$('#wx_pay').removeClass('bor_pay');
		$('.p_wx').removeClass('pay_w_icon_sel');
		$('#wx_pay').addClass('bor_pay_un');
		$('.p_wx').addClass('pay_w_icon_unsel');

//		$('#ali_pay').removeClass('bor_pay');
//		$('.p_ali').removeClass('pay_z_icon_sel');
//		$('#ali_pay').addClass('bor_pay_un');
//		$('.p_ali').addClass('pay_z_icon_unsel');

		$('#advance_pay').removeClass('bor_pay');
		$('.p_advance').removeClass('pay_advance_icon_sel');
		$('#advance_pay').addClass('bor_pay_un');
		$('.p_advance').addClass('pay_advance_icon_unsel');
	}
	$('#close_cha').on('click', function() {
		close_cha();
	})

	function close_cha() {
		$('.model').fadeOut();
		$('.container-div').removeClass('mod_fil');
		clearInterval(timer_paysuccess);
		timer_paysuccess = null;
	}
	//	$('#contact_cardId').on('keyup', function() {
	//		var value = $(this).val().replace(/\s/g, '').replace(/(\d{4})(?=\d)/g, "$1 ");
	//		$(this).val(value);
	//	})
	//去结算
	$('#go_settlement').on('click', function() {
		$('#qr_code_img').attr('src', 'images/base.png');
		$('#close_cha').hide();
		if(timer_paysuccess) {
			clearInterval(timer_paysuccess);
			timer_paysuccess = null;
		}
		var prod_arr = [];
		for(var i = 0, m = param['prod_arr'].length; i < m; i++) {
			var dict = param['prod_arr'][i];
			var obj = {
				prod_id: dict['prod_id'],
				prod_count: dict['prod_count']
			}
			prod_arr.push(obj);
		}
		var _pro_cate_id = param['pro_cate_id'] ? param['pro_cate_id'] : "";
		var _start_date = param['start_date'] ? param['start_date'] : "";
		var _prod_arr = JSON.stringify(prod_arr) ? JSON.stringify(prod_arr) : [];
		var _contacts_name = $('#contact_person').val();
		var _contacts_phone = $('#contact_phone').val();
		var _contacts_ID = $('#contact_cardId').val();
		var _total_money = param['total_money'] ? param['total_money'] : "";
		if(_pro_cate_id.trim().length <= 0) return;
		if(_start_date.trim().length <= 0) return;
		if(_prod_arr.length <= 0) return;
		if(_contacts_name.trim().length <= 0) {
			alert('请输入预订人姓名');
			$('#contact_person').focus();
			return;
		}
		if(_contacts_phone.trim().length != 11) {
			alert('手机号格式不正确');
			$('#contact_phone').focus();
			return;
		}
		//		if(_contacts_ID.trim().length != 18) {
		//			alert('身份证号码格式不正确');
		//			$('#contact_cardID').focus();
		//			return;
		//		}
		if(_pay_type.trim().length <= 0) return;
		//		if(_total_money.trim().length <= 0) return;

		var _data = {
			pro_cate_id: _pro_cate_id,
			start_date: _start_date,
			prod_arr: _prod_arr,
			contacts_name: _contacts_name.trim(),
			contacts_phone: _contacts_phone.trim(),
			contacts_ID: _contacts_ID.trim(),
			pay_type: _pay_type,
			total_money: _total_money,
		}
		ZZLog(base_api + 'prod/prod/make-order', JSON.stringify(_data));
		if(_pay_type == '1') {
			$('.pay_type').addClass('weixin');
			$('.pay_type').removeClass('zhifubao');
			$('.qr_pay_type').text('微信扫码支付:');
			$('.model').fadeIn();
			$('.container-div').addClass('mod_fil');
		} else if(_pay_type == '2'){
			$('.pay_type').addClass('zhifubao');
			$('.pay_type').removeClass('weixin');
			$('.qr_pay_type').text('支付宝扫码支付:');
			$('.model').fadeIn();
			$('.container-div').addClass('mod_fil');
		} else if(_pay_type == '3'){
			var result = confirm('预付款支付   ' + param.total_money + '元');
			if(!result) return;
		}else {}
		$('#pay_money').text(_total_money);

		submit();

		function submit() {
			$.ajax({
				type: "post",
				url: base_api + 'prod/prod/make-order',
				data: _data,
				dataType: 'json',
				//				traditional: true, //这里设置为true
				success: function(res_data) {
					ZZLog(res_data);
					if(false == res_data['flag']) {
						if(codeNotLogin == res_data['code']) {
							location.href = res_data['url'];
							//							alert(infoNotLogin);
						} else if(codeNotRegister == res_data['code']) {
							location.href = 'register.html';
						} else {
							alert(res_data['msg']);
						}
						close_cha();
					} else {
						//..
						if(_pay_type=='3'){
							location.href = 'pay_success.html';
							return;
						}
						$('#close_cha').show();

						var data = res_data['data'];
						var total_money = data['total_money'];
						var qr_code = data['qr_code'];
						var pay_type = data['pay_type'];
						var order_id = data['order_id'];

						if(pay_type == '1') {
							$('.pay_type').addClass('weixin');
							$('.pay_type').removeClass('zhifubao');
							$('.qr_pay_type').text('微信扫码支付:');
						} else if(pay_type=='2'){
							$('.pay_type').addClass('zhifubao');
							$('.pay_type').removeClass('weixin');
							$('.qr_pay_type').text('支付宝扫码支付:');
						}else{}
						$('#pay_money').text(total_money);
						if(!order_id) {
							alert('未生成订单号，请重试');
							close_cha();
							return;
						}
						$('#qr_code_img').attr('src', qr_code);
						timer_paysuccess = setInterval(ifPaySuccess, 3000);

						function ifPaySuccess() {
							var _data = {
								order_id: order_id
							}
							ZZLog(base_api + 'prod/prod/check-order', JSON.stringify(_data));
							$.ajax({
								type: "post",
								url: base_api + 'prod/prod/check-order',
								data: _data,
								dataType: 'json',
								success: function(res_data) {
									ZZLog(res_data);
									if(false == res_data['flag']) {
										if(codeNotLogin == res_data['code']) {
											var URL = '/web/fx/fill_order_unbus.html';
											URL = encodeURI(URL);
											location.href = res_data['url'] + URL;
										} else if(codeNotRegister == res_data['code']) {
											location.href = 'register.html';
										} else {
											alert(res_data['msg']);
										}
									} else {
										//..
										var data = res_data['data'];
										var order_status = data['order_status'];
										//1:待支付   2:已支付
										if('2' == order_status) {
											//清空缓存:决定不清除
											//											clearStorage('fill_order_unbus_20170306');
											close_cha();
											setTimeout(function() {
												location.href = 'pay_success.html';
											}, 1000);
										}
									}
								},
								error: function() {
									close_cha();
									alert(infoApiError);
								}
							});
						}
						//					var time_s = 30;
						//					$('#third_second').text(time_s);
						//					var timer = setInterval(function(){
						//						time_s--;
						//						$('#third_second').text(time_s);
						//						if(time_s<=0){
						////							$('#third_second')
						//						}
						//					},1000);
					}
				},
				error: function() {
					close_cha();
					alert(infoApiError);
				}
			});
		}
	})

})